<?php
/**
 * @version     $Id$
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @copyright   Copyright 2010 - 2011 Jumbotron Sports. All rights reserved.
 * @license     GNU General Public License version 2 or later.
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Jumbotron display helper.
 *
 * @package     Jumbotron
 * @subpackage  com_jumbotron
 * @since       2.7.0
 */
class JumbotronHelper
{
	/**
	 * Configure the Linkbar.
	 *
	 * @param   string  $vName  The name of the active view.
	 *
	 * @return  void
	 *
	 * @since   2.7.0
	 */
	public static function addSubmenu($vName)
	{
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_jumbotron',
			$vName == 'categories'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SANCTION'),
			'index.php?option=com_jumbotron&view=sanctions',
			$vName == 'sanctions'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_CONFERENCE'),
			'index.php?option=com_jumbotron&view=conferences',
			$vName == 'conferences'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SCHOOL'),
			'index.php?option=com_jumbotron&view=schools',
			$vName == 'schools'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SPORTSLIST'),
			'index.php?option=com_jumbotron&view=sportslists',
			$vName == 'sportslists'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_LEVEL'),
			'index.php?option=com_jumbotron&view=levels',
			$vName == 'levels'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SPORTSLEVEL'),
			'index.php?option=com_jumbotron&view=sports',
			$vName == 'sports'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_TEAM'),
			'index.php?option=com_jumbotron&view=teams',
			$vName == 'teams'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SEASON'),
			'index.php?option=com_jumbotron&view=seasons',
			$vName == 'seasons'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_GAME'),
			'index.php?option=com_jumbotron&view=games',
			$vName == 'games'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_SCORE'),
			'index.php?option=com_jumbotron&view=scores',
			$vName == 'scores'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_ALLGAME'),
			'index.php?option=com_jumbotron&view=allgames',
			$vName == 'allgames'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_MULTIGAME'),
			'index.php?option=com_jumbotron&view=multigames',
			$vName == 'multigames'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_JUMBOTRON_SUBMENU_MULTISCORE'),
			'index.php?option=com_jumbotron&view=multiscores',
			$vName == 'multiscores'
		);
	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return  JObject
	 * @since   1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, 'com_jumbotron'));
		}

		return $result;
	}
}